<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/fragments :: head"></head>
<body>
<div th:replace="fragments/fragments :: header"></div>

<div class="container">
    <div th:replace="fragments/fragments :: div#page-header"></div>
    <div class="row">
        <div class="col-lg-12">
            <h4>Registration Form</h4>
            <form action="#" th:action="@{${flowExecutionUrl}}" method="post" th:object="${author}">
                <div class="form-group" th:class="${#fields.hasErrors('firstName')}? 'has-error'">
                    <label th:for="${#ids.next('firstName')}">First Name:</label>
                    <input type="text" th:field="*{firstName}" class="form-control"/>
                    <span th:if="${#fields.hasErrors('firstName')}" class="help-block" th:errors="*{firstName}"></span>
                </div>
                <div class="form-group" th:class="${#fields.hasErrors('lastName')}? 'has-error'">
                    <label th:for="${#ids.next('lastName')}">Last Name:</label>
                    <input type="text" th:field="*{lastName}" class="form-control"/>
                    <span th:if="${#fields.hasErrors('lastName')}" class="help-block" th:errors="*{lastName}"></span>
                </div>
                <div class="form-group" th:class="${#fields.hasErrors('email')}? 'has-error'">
                    <label th:for="${#ids.next('email')}">Email:</label>
                    <input type="text" th:field="*{email}" class="form-control"/>
                    <span th:if="${#fields.hasErrors('email')}" class="help-block" th:errors="*{email}"></span>
                </div>
                <div class="form-group" th:class="${#fields.hasErrors('userName') or !#strings.isEmpty(error)}? 'has-error'">
                    <label th:for="${#ids.next('userName')}">User Name:</label>
                    <input type="text" th:field="*{userName}" class="form-control"/>
                    <span th:if="${#fields.hasErrors('userName')}" class="help-block" th:errors="*{userName}"></span>
                    <span th:if="${!#strings.isEmpty(error)}" th:text="${error}" class="help-block"></span>
                </div>
                <div class="form-group" th:class="${#fields.hasErrors('password')}? 'has-error'">
                    <label th:for="${#ids.next('password')}">Password:</label>
                    <input type="password" th:field="*{password}" class="form-control"/>
                    <span th:if="${#fields.hasErrors('password')}" class="help-block" th:errors="*{password}" ></span>
                </div>
                <br/>
                <button type="submit" name="_eventId_next" class="btn btn-primary">Next</button>
            </form>
        </div>
    </div>

    <hr/>
</div>
<div th:replace="fragments/fragments :: div.scripts"></div>
</body>
</html>